Bug 1297536 - Review Request: golang-github-gocql-gocql - A fast and robust Cassandra client
Review Request: golang-github-gocql-gocql - A fast and robust Cassandra client
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robert-André Mauchin
Fedora Extras Quality Assurance
:
Depends On: 1246464 1297531 1297532
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-11 14:22 EST by Ed Marshall
Modified: 2017-11-20 22:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-20 22:57:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zebob.m: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Ed Marshall 2016-01-11 14:22:34 EST
Spec URL: https://fedorapeople.org/~logic/vault/golang-github-gocql-gocql/golang-github-gocql-gocql.spec
SRPM URL: https://fedorapeople.org/~logic/vault/golang-github-gocql-gocql/golang-github-gocql-gocql-0-0.1.git4e6e2f5.fc24.src.rpm
Description: Package gocql implements a fast and robust Cassandra client for the Go programming language.
Fedora Account System Username: logic
Comment 1 Ed Marshall 2016-01-11 14:25:27 EST
Has a build dependency on golang-github-hailocab-go-hostpool (bug 1297532) and golang-github-golang-snappy (bug 1297531).
Comment 3 Robert-André Mauchin 2017-10-04 12:06:13 EDT
 - Please bump to the latest git: ce5020aabae349deda77bc1d559ef2300d3c93c5

 - Please add a commit date for versioning, as required by https://fedoraproject.org/wiki/Packaging:Versioning#Snapshots :

%global commit          ce5020aabae349deda77bc1d559ef2300d3c93c5
%global shortcommit     %(c=%{commit}; echo ${c:0:7})
%global commitdate      20170930

Name:           golang-%{provider}-%{project}-%{repo}
Version:        0
Release:        0.1.%{commitdate}git%{shortcommit}%{?dist}


   And:

* Wed Oct 04 2017 Ed Marshall <esm@logic.net> - 0-0.1.20170930gitce5020a


Package accepted.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "Apache (v2.0)", "Unknown or generated". 78
     files have unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/golang-github-gocql-gocql/review-golang-
     github-gocql-gocql/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gocode/src,
     /usr/share/gocode, /usr/share/gocode/src/github.com
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 61440 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in golang-
     github-gocql-gocql-devel , golang-github-gocql-gocql-unit-test-devel
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-gocql-gocql-devel-0-0.1.20170930gitce5020a.fc28.noarch.rpm
          golang-github-gocql-gocql-unit-test-devel-0-0.1.20170930gitce5020a.fc28.x86_64.rpm
          golang-github-gocql-gocql-0-0.1.20170930gitce5020a.fc28.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 4 Gwyn Ciesla 2017-10-04 18:34:28 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-gocql-gocql
Comment 5 Fedora Update System 2017-10-14 18:40:17 EDT
golang-github-gocql-gocql-0-0.1.git1f87449.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fd635829eb
Comment 6 Fedora Update System 2017-10-16 01:22:36 EDT
golang-github-gocql-gocql-0-0.1.git1f87449.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fd635829eb
Comment 7 Fedora Update System 2017-10-23 02:04:55 EDT
golang-github-gocql-gocql-0-0.1.git1f87449.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d4d9058af7
Comment 8 Fedora Update System 2017-10-23 19:21:35 EDT
golang-github-gocql-gocql-0-0.1.git1f87449.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d4d9058af7
Comment 9 Fedora Update System 2017-10-31 20:06:58 EDT
golang-github-gocql-gocql-0-0.1.git1f87449.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2017-11-10 21:53:40 EST
golang-github-gocql-gocql-0-0.1.git1f87449.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.